<bugID>1226440<Summary>Expose a method to get a node's immediate dominator</Summary><Description>This commit adds the `getImmediateDominator` method to `DominatorTree` which
returns the id of the immediate dominator of the node associated with the given
id. This enables walking the dominator tree from leaves up parents all the way
to the root of the tree.</Description></bugID>